mail/rspamd - The NetBSD Packages Collection

Fast, free and open-source spam filtering system

Rspamd is fast, modular and lightweight spam filter. It is designed to work
with big ammount of mail and can be easily extended with own filters written in
lua.

Build dependencies

pkgtools/cwrappers devel/glib2-tools devel/cmake lang/perl5 devel/pkgconf

Runtime dependencies

devel/lua-lpeg devel/ragel security/gnupg2 databases/hiredis devel/fann devel/glib2 lang/lua53 mail/gmime security/libsodium textproc/icu devel/glib2 mail/gmime textproc/icu

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfrspamd-2.6nb1.tgz
NetBSD 8.0earmv7hfrspamd-2.5nb5.tgz
NetBSD 8.0earmv7hfrspamd-2.7.tgz
NetBSD 8.0earmv7hfrspamd-2.7nb2.tgz
NetBSD 8.0i386rspamd-2.5nb5.tgz
NetBSD 8.0i386rspamd-2.6nb1.tgz
NetBSD 8.0i386rspamd-2.7.tgz
NetBSD 8.0i386rspamd-2.7nb2.tgz
NetBSD 8.0powerpcrspamd-2.5nb5.tgz
NetBSD 8.0powerpcrspamd-2.6nb1.tgz
NetBSD 8.0powerpcrspamd-2.7.tgz
NetBSD 8.0powerpcrspamd-2.7nb2.tgz
NetBSD 8.0powerpcrspamd-2.7nb2.tgz
NetBSD 8.0x86_64rspamd-2.7.tgz
NetBSD 8.0x86_64rspamd-2.5nb5.tgz
NetBSD 8.0x86_64rspamd-2.6nb1.tgz
NetBSD 8.0x86_64rspamd-2.7nb2.tgz
NetBSD 9.0aarch64rspamd-2.7nb2.tgz
NetBSD 9.0aarch64rspamd-2.5nb5.tgz
NetBSD 9.0aarch64rspamd-2.6nb1.tgz
NetBSD 9.0aarch64rspamd-2.7.tgz
NetBSD 9.0alpharspamd-2.7nb2.tgz
NetBSD 9.0alpharspamd-2.7.tgz
NetBSD 9.0earmrspamd-2.7.tgz
NetBSD 9.0earmrspamd-2.7nb2.tgz
NetBSD 9.0earmv6hfrspamd-2.7nb2.tgz
NetBSD 9.0earmv6hfrspamd-2.5nb5.tgz
NetBSD 9.0earmv6hfrspamd-2.6nb1.tgz
NetBSD 9.0earmv6hfrspamd-2.6nb1.tgz
NetBSD 9.0earmv6hfrspamd-2.7.tgz
NetBSD 9.0earmv7hfrspamd-2.7nb2.tgz
NetBSD 9.0earmv7hfrspamd-2.5nb5.tgz
NetBSD 9.0earmv7hfrspamd-2.6nb1.tgz
NetBSD 9.0earmv7hfrspamd-2.6nb1.tgz
NetBSD 9.0earmv7hfrspamd-2.7.tgz
NetBSD 9.0earmv7hfrspamd-2.7.tgz
NetBSD 9.0earmv7hfrspamd-2.7nb2.tgz
NetBSD 9.0i386rspamd-2.5nb5.tgz
NetBSD 9.0i386rspamd-2.6nb1.tgz
NetBSD 9.0i386rspamd-2.7.tgz
NetBSD 9.0i386rspamd-2.7nb2.tgz
NetBSD 9.0mips64ebrspamd-2.7nb2.tgz
NetBSD 9.0mips64ebrspamd-2.5nb5.tgz
NetBSD 9.0mips64ebrspamd-2.6nb1.tgz
NetBSD 9.0mips64ebrspamd-2.7.tgz
NetBSD 9.0powerpcrspamd-2.7nb2.tgz
NetBSD 9.0powerpcrspamd-2.5nb5.tgz
NetBSD 9.0powerpcrspamd-2.6nb1.tgz
NetBSD 9.0powerpcrspamd-2.7.tgz
NetBSD 9.0powerpcrspamd-2.7nb2.tgz
NetBSD 9.0sh3elrspamd-2.7.tgz
NetBSD 9.0sparc64rspamd-2.7nb2.tgz
NetBSD 9.0sparc64rspamd-2.7.tgz
NetBSD 9.0sparcrspamd-2.7nb2.tgz
NetBSD 9.0sparcrspamd-2.5nb5.tgz
NetBSD 9.0sparcrspamd-2.6nb1.tgz
NetBSD 9.0sparcrspamd-2.7.tgz
NetBSD 9.0x86_64rspamd-2.7.tgz
NetBSD 9.0x86_64rspamd-2.7nb2.tgz
NetBSD 9.0x86_64rspamd-2.7.tgz
NetBSD 9.0x86_64rspamd-2.7nb2.tgz
NetBSD 9.0x86_64rspamd-2.5nb5.tgz
NetBSD 9.0x86_64rspamd-2.6nb1.tgz
NetBSD 9.0x86_64rspamd-2.7.tgz
NetBSD 9.0x86_64rspamd-2.7nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gd
Use GD to render graphical output.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.